#
# spec file for package perl-Dist-Zilla-Util-ConfigDumper
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Dist-Zilla-Util-ConfigDumper
Version:        0.003007
Release:        1.1
%define cpan_name Dist-Zilla-Util-ConfigDumper
Summary:        Dist::Zilla plugin configuration extraction utility
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Dist-Zilla-Util-ConfigDumper/
Source0:        http://www.cpan.org/authors/id/K/KE/KENTNL/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Dist::Zilla::Plugin::Bootstrap::lib) >= 1.000003
BuildRequires:  perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires:  perl(Dist::Zilla::Plugin::MetaConfig)
BuildRequires:  perl(Dist::Zilla::Role::Plugin)
BuildRequires:  perl(Dist::Zilla::Util::Test::KENTNL) >= 1.003001
BuildRequires:  perl(Moose)
BuildRequires:  perl(Sub::Exporter::Progressive)
BuildRequires:  perl(Test::DZil)
BuildRequires:  perl(Test::More) >= 0.89
BuildRequires:  perl(Try::Tiny)
Requires:       perl(Sub::Exporter::Progressive)
Requires:       perl(Try::Tiny)
%{perl_requires}

%description
This module contains a utility function for use within the 'Dist::Zilla'
plugin ecosystem, to simplify extraction of plugin settings for plugin
authors, in order for plugins like 'Dist::Zilla::Plugin::MetaConfig' to
expose those values to consumers.

Primarily, it specializes in:

* * Making propagating configuration from the plugins inheritance hierarchy
  nearly foolproof.

* * Providing simple interfaces to extract values of lists of named methods
  or accessors

* * Providing a way to intelligently and easily probe the value of lazy
  attributes without triggering their vivification.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes INSTALL.SKIP LICENSE README

%changelog
* Sat Aug  1 2015 coolo@suse.com
- updated to 0.003007
  see /usr/share/doc/packages/perl-Dist-Zilla-Util-ConfigDumper/Changes
  0.003007 2015-07-31T03:43:06Z cf8cff3
  [Dependencies::Stats]
  - Dependencies changed since 0.003006, see misc/*.deps* for details
  - configure: +1 (recommends: ↑1)
  - develop: +12 ↑3 -3 (recommends: +1, suggests: ↑2)
  - runtime: ↓1 -1
  - test: +1 (recommends: +1 ↑1 ↓1)
  [Documentation]
  - Enhance DESCRIPTION section and ABSTRACT as per request #3
* Fri Apr 17 2015 coolo@suse.com
- initial package $version
  * created by $NAME $VERSION
